Complete upload
curl --request PATCH \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/attachments/{asset_id}/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/attachments/{asset_id}/"
headers = {"x-api-key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/attachments/{asset_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work Item Attachments
Complete upload
Notifies the server that an attachment has been successfully uploaded to S3. This endpoint should be called after you’ve uploaded the file.
PATCH
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-items
/
{work_item_id}
/
attachments
/
{asset_id}
/
Complete upload
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project
string
required
The unique identifier of the work item
string
required
The unique identifier of the attachment generated by the Get upload credentials endpoint.
⌘I

